<?php

class LSTTest extends AppListado {

	public function init(){
		
		$nombre = new CLMTexto('nombre','$nombre#','Persona');
		
		$this->addColumna($nombre);
		
	
		$icono = new VstIcono(VstIcono::APP_icon_tasks);
		$boton = new VstBoton('/test/editarcrud/id/$idEvento#',
				BASEURL , 'Editar', '', $icono);
		$boton->setClase('btn-lg btn-primary');
		$boton->setModal(true);
		$boton->setDestino('#formulario_edicion');
		
		$boton2 = new VstBoton('/test/editar/id/$idEvento#',
				BASEURL , 'Editar', '', $icono);
		$boton2->setClase('btn-lg btn-primary');
		
		
		$col_acc = new CLMTexto('col_acc',$boton->render().$boton2->render(),'Estado');
		
		$this->addColumna($col_acc);
		
		$iconotrash = new VstIcono(VstIcono::APP_icon_trash);
		$botonDel = new VstBoton('/evento/eliminar/id/$idEvento#',
				BASEURL , 'Elimiar', '', $icono, 'Esta seguro que desea eliminar $nombre#', true);
		$botonDel->setClase('btn-lg btn-danger');
		$col_accDel = new CLMTexto('col_acc_del',$botonDel->render(),'Acciones');
		
		$this->addColumna($col_accDel);
		

		
	}
	
}